2019-03-26 21:24 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002259NetSurfAmiga-specificpublic2016-02-16 14:27
ReporterSamir Hawamdeh 
Assigned ToChris Young 
SeverityfeatureReproducibilityalways 
StatusclosedResolutionfixed 
PlatformAmigaOSOS4.1OS Version4.1
Product Version3.2 
Target VersionFixed in Version3.4 
Summary0002259: F3/F4 keys support for the zoom functionality
DescriptionNetSurf have a zoom functionality just like any other browser (accessible via menu or just with its corresponding shortcuts)

However would be nice if in the list of supported keys you can add also the same keys used in other Amiga browsers (OWB and Odyssey)

That one:

F3 --> Zoom In
F4 --> Zoom out

Using just 1 key instead of a combo still mutch faster and intuitive compared to a combo, of course the current combo solution can be mantained with no problem
TagsNo tags attached.
Fixed in CI build #3064
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Chris Young

~0000600

Chris Young (developer)

My preferred keys for this would be:
F9 - zoom out
F10 - zoom in

They are just above -/+ on a UK keyboard, and don't clash with F3 which is commonly used as Find elsewhere.
Samir Hawamdeh

~0000601

Samir Hawamdeh (reporter)

That's ok for me, as keys F9/F10 are fine if others are already used :-)
Just maybe i will choose them in the opposite way:

F9 --> Zoom In
F10 --> Zoom out
Chris Young

~0001091

Chris Young (developer)

Added in next CI build:
F8 - reset scale (100%)
F9 - decrease scale
F10 - increase scale
Vincent Sanders

~0001254

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-01-26 02:30 Samir Hawamdeh New Issue
2015-01-26 13:05 Vincent Sanders Assigned To => Chris Young
2015-01-26 13:05 Vincent Sanders Status new => acknowledged
2015-02-04 12:41 Chris Young Note Added: 0000600
2015-02-04 17:02 Samir Hawamdeh Note Added: 0000601
2015-11-15 14:32 Chris Young Fixed in CI build # => 3064
2015-11-15 14:32 Chris Young Note Added: 0001091
2015-11-15 14:32 Chris Young Status acknowledged => resolved
2015-11-15 14:32 Chris Young Fixed in Version => 3.4
2015-11-15 14:32 Chris Young Resolution open => fixed
2016-02-16 14:27 Vincent Sanders Note Added: 0001254
2016-02-16 14:27 Vincent Sanders Status resolved => closed
+Issue History